<template>
    <div class="container" >
        <Menu status="true" statusStands="true"/>
        <Iframe idvimeo="https://player.vimeo.com/video/649960173?autoplay=1&loop=1&autopause=0&muted=0" video="videoexpo" ref="root"/>
        <StandsClick standsclassclick="area no-disponible norvetpocicionexpo" nombrestands="norvet" categoriastands="plata" :ideventoStands="45"/>
        <StandsClick standsclassclick="area no-disponible infravetpocicionexpo" nombrestands="INFARVET" categoriastands="diamante" :ideventoStands="45"/>
        <StandsClick standsclassclick="area no-disponible analavpoccicionexpo" nombrestands="analav" categoriastands="oro" :ideventoStands="45"/>
    </div>
</template>
<script>
    import { ref,watchEffect } from "vue";
    import Iframe from "../components/Iframe.vue"
    import Menu from "../components/Menu.vue";
    import StandsClick from "../components/StandsClick.vue"
    export default {
        name: 'Home',
        components: {
             Iframe,
             Menu,
             StandsClick
        },
         setup() {
            const root=ref(null)
            let elemento = document.getElementById('principal');
            elemento.classList.remove(elemento.classList.value)
            watchEffect(() =>{
                
                elemento.classList.add('expo')
                console.log(root.value)
            });
      
        },
    }
</script>

